> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/ribbon-menu-bar/file/import.md).

# Import

Import entries into Remote Desktop Manager from native formats, CSV files, network scans, computer wizards, contacts, sessions, and logins.

{% tabs %}
{% tab title="Windows" %}
{% embed url="<https://youtu.be/ditrtJE1KlU>" %}

Go to ***File – Import*** to import entries in Remote Desktop Manager. You can import entry types from multiple sources.

We support native import formats for many popular tools. If a native format or third-party tool is not supported, use the CSV import wizards to import from a `.csv` file.

{% hint style="info" %}
The import feature is only active if the import ***Privileges*** have been enabled inside the user account. See [System permissions](/rdm/ribbon-menu-bar/administration/system-permissions.md).
{% endhint %}

See the following topics to get more information about each option:

* [Import (.rdm)](/rdm/ribbon-menu-bar/file/import/import-.rdm.md)
* [Import (.json)](/rdm/ribbon-menu-bar/file/import/import--json.md)
* [Import Computer Wizard](/rdm/ribbon-menu-bar/file/import/import-from-computer-wizard.md)
* [Import with Network Scan](/rdm/ribbon-menu-bar/file/import/import-with-network-scan.md)
* [Import Generic Csv Wizard](/rdm/ribbon-menu-bar/file/import/import-generic-csv-wizard.md)
* [Import Sessions](/rdm/ribbon-menu-bar/file/import/import-sessions.md)
* [Import Logins](/rdm/ribbon-menu-bar/file/import/import-logins.md)
* [Import Contacts](/rdm/ribbon-menu-bar/file/import/import-contacts.md)
  {% endtab %}

{% tab title="macOS" %}
Go to ***File – Import*** to import entries in Remote Desktop Manager. You can import entry types from multiple sources.

We support native import formats for many popular tools. If a native format or third-party tool is not supported, use the CSV import wizards to import from a `.csv` file.

{% hint style="info" %}
The import feature is only active if the import ***Privileges*** have been enabled inside the user account. See [System permissions](/rdm/ribbon-menu-bar/administration/system-permissions.md).
{% endhint %}

#### Import entries

Import entries is use to import sessions store in files such as:

* .rdm (Remote Desktop Manager's native export format)
* .xml (it must be a specific format compatible with the application)

#### Import computer assistant

You can import computers from different sources. These sources includes:

* Network neighborhood
* Host list

#### Import sessions from

Please consult [Import sessions](/rdm/ribbon-menu-bar/file/import/import-sessions.md) for more information.
{% endtab %}
{% endtabs %}

### See also

* [Devolutions Academy – Importing sessions and credentials](https://academy.devolutions.net/student/page/3266668-importing-sessions-and-credentials?curriculum_activity_id=5108636\&path_id=3266571\&sid=64339f7a-0780-44d3-9aa5-922999ddc348\&sid_i=0)
* [Migrate your vaults to another workspace](file:///)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/rdm/ribbon-menu-bar/file/import.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
